filekv
======

Synopsis
--------

**filekv** is a simple, file-based key-value store which uses **csv** from the
Ruby standard library to store data on a key-value model in a file.

It is modeled as a drop-in replacement for [redis-rb](https://github.com/redis/redis-rb).
In other words, it can be used, to some extent, as an alternative data storage
means by applications designed for Redis.

Naturally, it does not replicate the entire featureset of Redis, and so
applications should bear this in mind.

Usage
-----

Some basic usage:

```ruby
require 'filekv'

db = FileKV.new 'moo.db'

db.set 'foo', 'bar'
db.get 'foo'
# => "bar"
```

Author
------

**filekv** was written by [Autumn Perrault](https://github.com/noxgirl).

License
-------

**filekv** is distributed under the terms of the MIT license. Please see the
`LICENSE` file.
